### Enumeration

# WebKit WebExtensionMode

since: 2.38

#### Declaration

    enum WebKit.WebExtensionMode

#### Description [src]

Enum values used for setting if a `WebKitWebView` is intended for WebExtensions.

Available since: 2.38

#### Members

Name | Description
--- | ---
`WEBKIT_WEB_EXTENSION_MODE_NONE` | Not for an extension.
`WEBKIT_WEB_EXTENSION_MODE_MANIFESTV2` | For a ManifestV2 extension.
`WEBKIT_WEB_EXTENSION_MODE_MANIFESTV3` | For a ManifestV3 extension.